Subject: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: João Távora <[email-masked]>
Date: Sun, 19 Apr 2020 10:16:49 +0100

On Sun, Apr 19, 2020 at 12:48 AM Juri Linkov <[email-masked]> wrote:

> > I've put "the code" in a branch in our repo, called
> > 'scratch/add-lisp-data'.
>
> Thanks.  I noticed that you don't use semicolon between pairs:
>
>   ;;; -*- coding: utf-8 mode: lisp-data -*-
>
> I'm surprised that it still works, but wouldn't it be better to
> follow the manual in (info "(emacs) Specifying File Variables")
> and separate pairs with semicolon:
>
>   ;;; -*- coding: utf-8; mode: lisp-data -*-
>

Indeed, I didn't bother with the manual on this. I
did try with comma, it didn't work, then removed it
and didn't think twice.  You're welcome to add them
as a commit to that branch if you want.  And thanks
for clearing that mystery.

-- 
João Távora